HomeSolus

Rebuild rstudio against libboost 1.72

Authored by kyrios123 on Jun 21 2020, 6:04 PM.

Description

Rebuild rstudio against libboost 1.72

Summary:
Needed to update to 1.3.959 to build against libboost 1.72 and also tell rstudio to use Boost signals2.

Additional GWT/Gin packages are not needed anymore. They are included in rstduio sourcecode.

Depends on D8527

Test Plan: Rebuild against libboost 1.72

Reviewers: Triage Team, DataDrake

Reviewed By: Triage Team, DataDrake

Subscribers: kyrios123, DataDrake

Differential Revision: https://dev.getsol.us/D9012

Details

Committed
kyrios123Jun 22 2020, 1:20 AM
Pushed
kyrios123Jun 22 2020, 1:26 AM
Reviewer
Triage Team
Differential Revision
D9012: Rebuild rstudio against libboost 1.72
Parents
R2826:5ae0f808145b: Rebuild for GL
Branches
Unknown
Tags
Unknown
References
tag: rstudio-1.3.959-17